/*  This file is part of FediBlock-backend.
 *  Copyright © 2020 tastytea <tastytea@tastytea.de>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, version 3.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "json.hpp"

#include <nlohmann/json.hpp>

namespace FediBlock
{

string to_json(const entry_type &entry)
{
    const nlohmann::json json{{"instance", entry.instance},
                              {"tags", entry.tags},
                              {"receipts", entry.receipts},
                              {"description", entry.description},
                              {"screenshot", entry.screenshot_filepath}};
    return json.dump(4);
}

} // namespace FediBlock
